path: /build/build/xfce4-panel-xfce-base-4.16.3.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="dbusmenu introspection vala" emerge xfce-base/xfce4-panel -pv -t && \
    USE="dbusmenu introspection vala" emerge -j ${JOBS} --nodeps xfce-base/xfce4-panel
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/xfce4-panel && luet-portage --dir /pkgdir/xfce4-panel
    xfce-base/xfce4-panel && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:26e9dccab23be23f599571e74629d5a0ddacf896784643f6b19fc133c323daae
  package:
    name: xfce4-panel
    version: 4.16.3
    category: xfce-base
    use_flags:
    - dbusmenu
    - introspection
    - vala
    requires:
    - name: garcon
      version: '>=0'
      category: xfce-base
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Panel for the Xfce desktop environment
    uri:
    - https://www.xfce.org/projects/
    license: GPL-2+ LGPL-2.1+
    buildtimestamp: 2023-09-30 12:05:19.825511143 +0000 UTC m=+125.633097320
    labels:
      BDEPEND: dev-util/gdbus-codegen
      DEPEND: '>=dev-libs/glib-2.50 >=x11-libs/cairo-1 >=x11-libs/gtk+-3.22:3[introspection?]
        x11-libs/libX11 x11-libs/libwnck:3 >=xfce-base/exo-0.11.2:= >=xfce-base/garcon-0.5:=
        >=xfce-base/libxfce4ui-4.15.8:= >=xfce-base/libxfce4util-4.15.6:=[introspection?]
        >=xfce-base/xfconf-4.13.2:= dbusmenu? ( >=dev-libs/libdbusmenu-16.04.0[gtk3]
        ) introspection? ( dev-libs/gobject-introspection:= ) vala? ( || ( dev-lang/vala:0.50
        dev-lang/vala:0.48 dev-lang/vala:0.46 dev-lang/vala:0.44 dev-lang/vala:0.42
        dev-lang/vala:0.40 dev-lang/vala:0.36 ) ) dev-lang/perl dev-util/gtk-doc-am
        dev-util/intltool sys-devel/gettext virtual/pkgconfig'
      IUSE: +dbusmenu introspection vala
      RDEPEND: '>=dev-libs/glib-2.50 >=x11-libs/cairo-1 >=x11-libs/gtk+-3.22:3[introspection?]
        x11-libs/libX11 x11-libs/libwnck:3 >=xfce-base/exo-0.11.2:= >=xfce-base/garcon-0.5:=
        >=xfce-base/libxfce4ui-4.15.8:= >=xfce-base/libxfce4util-4.15.6:=[introspection?]
        >=xfce-base/xfconf-4.13.2:= dbusmenu? ( >=dev-libs/libdbusmenu-16.04.0[gtk3]
        ) introspection? ( dev-libs/gobject-introspection:= )'
      emerge.packages: xfce-base/xfce4-panel
      kit: xfce-kit
      original.package.name: xfce-base/xfce4-panel
      original.package.slot: "0"
      original.package.version: 4.16.3
    treedir: /build/packages
  package_dir: /pkgdir/xfce4-panel
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: fe3c39701bdbf9ec7afe5c9eeb0d35fda9e7975c5cee226c920509dac115bd67
compressiontype: zstd
files:
- etc/xdg/xfce4/panel/default.xml
- usr/bin/xfce4-panel
- usr/bin/xfce4-popup-applicationsmenu
- usr/bin/xfce4-popup-directorymenu
- usr/bin/xfce4-popup-windowmenu
- usr/include/xfce4/libxfce4panel-2.0/libxfce4panel/libxfce4panel-config.h
- usr/include/xfce4/libxfce4panel-2.0/libxfce4panel/libxfce4panel-enum-types.h
- usr/include/xfce4/libxfce4panel-2.0/libxfce4panel/libxfce4panel-enums.h
- usr/include/xfce4/libxfce4panel-2.0/libxfce4panel/libxfce4panel.h
- usr/include/xfce4/libxfce4panel-2.0/libxfce4panel/xfce-arrow-button.h
- usr/include/xfce4/libxfce4panel-2.0/libxfce4panel/xfce-panel-convenience.h
- usr/include/xfce4/libxfce4panel-2.0/libxfce4panel/xfce-panel-image.h
- usr/include/xfce4/libxfce4panel-2.0/libxfce4panel/xfce-panel-macros.h
- usr/include/xfce4/libxfce4panel-2.0/libxfce4panel/xfce-panel-plugin-provider.h
- usr/include/xfce4/libxfce4panel-2.0/libxfce4panel/xfce-panel-plugin.h
- usr/lib64/girepository-1.0/Libxfce4panel-2.0.typelib
- usr/lib64/libxfce4panel-2.0.so
- usr/lib64/libxfce4panel-2.0.so.4
- usr/lib64/libxfce4panel-2.0.so.4.0.0
- usr/lib64/pkgconfig/libxfce4panel-2.0.pc
- usr/lib64/xfce4/panel/migrate
- usr/lib64/xfce4/panel/plugins/libactions.so
- usr/lib64/xfce4/panel/plugins/libapplicationsmenu.so
- usr/lib64/xfce4/panel/plugins/libclock.so
- usr/lib64/xfce4/panel/plugins/libdirectorymenu.so
- usr/lib64/xfce4/panel/plugins/liblauncher.so
- usr/lib64/xfce4/panel/plugins/libpager.so
- usr/lib64/xfce4/panel/plugins/libseparator.so
- usr/lib64/xfce4/panel/plugins/libshowdesktop.so
- usr/lib64/xfce4/panel/plugins/libsystray.so
- usr/lib64/xfce4/panel/plugins/libtasklist.so
- usr/lib64/xfce4/panel/plugins/libwindowmenu.so
- usr/lib64/xfce4/panel/wrapper-2.0
- usr/share/applications/panel-desktop-handler.desktop
- usr/share/applications/panel-preferences.desktop
- usr/share/doc/xfce4-panel-4.16.3/AUTHORS
- usr/share/doc/xfce4-panel-4.16.3/ChangeLog.bz2
- usr/share/doc/xfce4-panel-4.16.3/NEWS.bz2
- usr/share/doc/xfce4-panel-4.16.3/README.md.bz2
- usr/share/doc/xfce4-panel-4.16.3/THANKS.bz2
- usr/share/doc/xfce4-panel-4.16.3/TODO
- usr/share/gir-1.0/Libxfce4panel-2.0.gir
- usr/share/gtk-doc/html/libxfce4panel-2.0/XfceArrowButton.html
- usr/share/gtk-doc/html/libxfce4panel-2.0/XfcePanelImage.html
- usr/share/gtk-doc/html/libxfce4panel-2.0/XfcePanelPlugin.html
- usr/share/gtk-doc/html/libxfce4panel-2.0/annotation-glossary.html
- usr/share/gtk-doc/html/libxfce4panel-2.0/api-index-4-10.html
- usr/share/gtk-doc/html/libxfce4panel-2.0/api-index-4-14.html
- usr/share/gtk-doc/html/libxfce4panel-2.0/api-index-4-6.html
- usr/share/gtk-doc/html/libxfce4panel-2.0/api-index-4-8.html
- usr/share/gtk-doc/html/libxfce4panel-2.0/api-index-deprecated.html
- usr/share/gtk-doc/html/libxfce4panel-2.0/api-index-full.html
- usr/share/gtk-doc/html/libxfce4panel-2.0/home.png
- usr/share/gtk-doc/html/libxfce4panel-2.0/index.html
- usr/share/gtk-doc/html/libxfce4panel-2.0/left-insensitive.png
- usr/share/gtk-doc/html/libxfce4panel-2.0/left.png
- usr/share/gtk-doc/html/libxfce4panel-2.0/libxfce4panel-2.0.devhelp2
- usr/share/gtk-doc/html/libxfce4panel-2.0/libxfce4panel-Convenience-Functions.html
- usr/share/gtk-doc/html/libxfce4panel-2.0/libxfce4panel-GObject-Oriented-Panel-Plugin-Registers-Macros.html
- usr/share/gtk-doc/html/libxfce4panel-2.0/libxfce4panel-Panel-Plugin-Register-Macros.html
- usr/share/gtk-doc/html/libxfce4panel-2.0/libxfce4panel-Standard-Enumerations.html
- usr/share/gtk-doc/html/libxfce4panel-2.0/libxfce4panel-Version-Information.html
- usr/share/gtk-doc/html/libxfce4panel-2.0/libxfce4panel-fundamentals.html
- usr/share/gtk-doc/html/libxfce4panel-2.0/libxfce4panel-miscelleanous.html
- usr/share/gtk-doc/html/libxfce4panel-2.0/libxfce4panel-plugins.html
- usr/share/gtk-doc/html/libxfce4panel-2.0/libxfce4panel-widgets.html
- usr/share/gtk-doc/html/libxfce4panel-2.0/right-insensitive.png
- usr/share/gtk-doc/html/libxfce4panel-2.0/right.png
- usr/share/gtk-doc/html/libxfce4panel-2.0/style.css
- usr/share/gtk-doc/html/libxfce4panel-2.0/up-insensitive.png
- usr/share/gtk-doc/html/libxfce4panel-2.0/up.png
- usr/share/icons/hicolor/128x128/apps/org.xfce.panel.png
- usr/share/icons/hicolor/16x16/apps/org.xfce.panel.applicationsmenu.png
- usr/share/icons/hicolor/16x16/apps/org.xfce.panel.png
- usr/share/icons/hicolor/24x24/apps/org.xfce.panel.applicationsmenu.png
- usr/share/icons/hicolor/24x24/apps/org.xfce.panel.png
- usr/share/icons/hicolor/32x32/apps/org.xfce.panel.actions.png
- usr/share/icons/hicolor/32x32/apps/org.xfce.panel.applicationsmenu.png
- usr/share/icons/hicolor/32x32/apps/org.xfce.panel.clock.png
- usr/share/icons/hicolor/32x32/apps/org.xfce.panel.directorymenu.png
- usr/share/icons/hicolor/32x32/apps/org.xfce.panel.launcher.png
- usr/share/icons/hicolor/32x32/apps/org.xfce.panel.pager.png
- usr/share/icons/hicolor/32x32/apps/org.xfce.panel.png
- usr/share/icons/hicolor/32x32/apps/org.xfce.panel.separator.png
- usr/share/icons/hicolor/32x32/apps/org.xfce.panel.showdesktop.png
- usr/share/icons/hicolor/32x32/apps/org.xfce.panel.statustray.png
- usr/share/icons/hicolor/32x32/apps/org.xfce.panel.tasklist.png
- usr/share/icons/hicolor/32x32/apps/org.xfce.panel.windowmenu.png
- usr/share/icons/hicolor/48x48/apps/org.xfce.panel.applicationsmenu.png
- usr/share/icons/hicolor/48x48/apps/org.xfce.panel.png
- usr/share/icons/hicolor/scalable/apps/org.xfce.panel.svg
- usr/share/locale/am/LC_MESSAGES/xfce4-panel.mo
- usr/share/locale/ar/LC_MESSAGES/xfce4-panel.mo
- usr/share/locale/ast/LC_MESSAGES/xfce4-panel.mo
- usr/share/locale/be/LC_MESSAGES/xfce4-panel.mo
- usr/share/locale/bg/LC_MESSAGES/xfce4-panel.mo
- usr/share/locale/bn/LC_MESSAGES/xfce4-panel.mo
- usr/share/locale/ca/LC_MESSAGES/xfce4-panel.mo
- usr/share/locale/cs/LC_MESSAGES/xfce4-panel.mo
- usr/share/locale/da/LC_MESSAGES/xfce4-panel.mo
- usr/share/locale/de/LC_MESSAGES/xfce4-panel.mo
- usr/share/locale/el/LC_MESSAGES/xfce4-panel.mo
- usr/share/locale/en_AU/LC_MESSAGES/xfce4-panel.mo
- usr/share/locale/en_GB/LC_MESSAGES/xfce4-panel.mo
- usr/share/locale/eo/LC_MESSAGES/xfce4-panel.mo
- usr/share/locale/es/LC_MESSAGES/xfce4-panel.mo
- usr/share/locale/et/LC_MESSAGES/xfce4-panel.mo
- usr/share/locale/eu/LC_MESSAGES/xfce4-panel.mo
- usr/share/locale/fi/LC_MESSAGES/xfce4-panel.mo
- usr/share/locale/fr/LC_MESSAGES/xfce4-panel.mo
- usr/share/locale/gl/LC_MESSAGES/xfce4-panel.mo
- usr/share/locale/he/LC_MESSAGES/xfce4-panel.mo
- usr/share/locale/hr/LC_MESSAGES/xfce4-panel.mo
- usr/share/locale/hu/LC_MESSAGES/xfce4-panel.mo
- usr/share/locale/hy_AM/LC_MESSAGES/xfce4-panel.mo
- usr/share/locale/hye/LC_MESSAGES/xfce4-panel.mo
- usr/share/locale/id/LC_MESSAGES/xfce4-panel.mo
- usr/share/locale/ie/LC_MESSAGES/xfce4-panel.mo
- usr/share/locale/is/LC_MESSAGES/xfce4-panel.mo
- usr/share/locale/it/LC_MESSAGES/xfce4-panel.mo
- usr/share/locale/ja/LC_MESSAGES/xfce4-panel.mo
- usr/share/locale/ka/LC_MESSAGES/xfce4-panel.mo
- usr/share/locale/kk/LC_MESSAGES/xfce4-panel.mo
- usr/share/locale/ko/LC_MESSAGES/xfce4-panel.mo
- usr/share/locale/lt/LC_MESSAGES/xfce4-panel.mo
- usr/share/locale/lv/LC_MESSAGES/xfce4-panel.mo
- usr/share/locale/ms/LC_MESSAGES/xfce4-panel.mo
- usr/share/locale/nb/LC_MESSAGES/xfce4-panel.mo
- usr/share/locale/nl/LC_MESSAGES/xfce4-panel.mo
- usr/share/locale/nn/LC_MESSAGES/xfce4-panel.mo
- usr/share/locale/oc/LC_MESSAGES/xfce4-panel.mo
- usr/share/locale/pa/LC_MESSAGES/xfce4-panel.mo
- usr/share/locale/pl/LC_MESSAGES/xfce4-panel.mo
- usr/share/locale/pt/LC_MESSAGES/xfce4-panel.mo
- usr/share/locale/pt_BR/LC_MESSAGES/xfce4-panel.mo
- usr/share/locale/ro/LC_MESSAGES/xfce4-panel.mo
- usr/share/locale/ru/LC_MESSAGES/xfce4-panel.mo
- usr/share/locale/si/LC_MESSAGES/xfce4-panel.mo
- usr/share/locale/sk/LC_MESSAGES/xfce4-panel.mo
- usr/share/locale/sl/LC_MESSAGES/xfce4-panel.mo
- usr/share/locale/sq/LC_MESSAGES/xfce4-panel.mo
- usr/share/locale/sr/LC_MESSAGES/xfce4-panel.mo
- usr/share/locale/sv/LC_MESSAGES/xfce4-panel.mo
- usr/share/locale/te/LC_MESSAGES/xfce4-panel.mo
- usr/share/locale/th/LC_MESSAGES/xfce4-panel.mo
- usr/share/locale/tr/LC_MESSAGES/xfce4-panel.mo
- usr/share/locale/ug/LC_MESSAGES/xfce4-panel.mo
- usr/share/locale/uk/LC_MESSAGES/xfce4-panel.mo
- usr/share/locale/ur/LC_MESSAGES/xfce4-panel.mo
- usr/share/locale/ur_PK/LC_MESSAGES/xfce4-panel.mo
- usr/share/locale/vi/LC_MESSAGES/xfce4-panel.mo
- usr/share/locale/zh_CN/LC_MESSAGES/xfce4-panel.mo
- usr/share/locale/zh_HK/LC_MESSAGES/xfce4-panel.mo
- usr/share/locale/zh_TW/LC_MESSAGES/xfce4-panel.mo
- usr/share/vala/vapi/libxfce4panel-2.0.deps
- usr/share/vala/vapi/libxfce4panel-2.0.vapi
- usr/share/xfce4/panel/plugins/actions.desktop
- usr/share/xfce4/panel/plugins/applicationsmenu.desktop
- usr/share/xfce4/panel/plugins/clock.desktop
- usr/share/xfce4/panel/plugins/directorymenu.desktop
- usr/share/xfce4/panel/plugins/launcher.desktop
- usr/share/xfce4/panel/plugins/pager.desktop
- usr/share/xfce4/panel/plugins/separator.desktop
- usr/share/xfce4/panel/plugins/showdesktop.desktop
- usr/share/xfce4/panel/plugins/systray.desktop
- usr/share/xfce4/panel/plugins/tasklist.desktop
- usr/share/xfce4/panel/plugins/windowmenu.desktop
- var/db/pkg/xfce-base/xfce4-panel-4.16.3/BDEPEND
- var/db/pkg/xfce-base/xfce4-panel-4.16.3/BUILD_TIME
- var/db/pkg/xfce-base/xfce4-panel-4.16.3/CATEGORY
- var/db/pkg/xfce-base/xfce4-panel-4.16.3/CBUILD
- var/db/pkg/xfce-base/xfce4-panel-4.16.3/CFLAGS
- var/db/pkg/xfce-base/xfce4-panel-4.16.3/CHOST
- var/db/pkg/xfce-base/xfce4-panel-4.16.3/CONTENTS
- var/db/pkg/xfce-base/xfce4-panel-4.16.3/COUNTER
- var/db/pkg/xfce-base/xfce4-panel-4.16.3/CXXFLAGS
- var/db/pkg/xfce-base/xfce4-panel-4.16.3/DEFINED_PHASES
- var/db/pkg/xfce-base/xfce4-panel-4.16.3/DEPEND
- var/db/pkg/xfce-base/xfce4-panel-4.16.3/DESCRIPTION
- var/db/pkg/xfce-base/xfce4-panel-4.16.3/EAPI
- var/db/pkg/xfce-base/xfce4-panel-4.16.3/FEATURES
- var/db/pkg/xfce-base/xfce4-panel-4.16.3/HOMEPAGE
- var/db/pkg/xfce-base/xfce4-panel-4.16.3/INHERITED
- var/db/pkg/xfce-base/xfce4-panel-4.16.3/IUSE
- var/db/pkg/xfce-base/xfce4-panel-4.16.3/IUSE_EFFECTIVE
- var/db/pkg/xfce-base/xfce4-panel-4.16.3/KEYWORDS
- var/db/pkg/xfce-base/xfce4-panel-4.16.3/LDFLAGS
- var/db/pkg/xfce-base/xfce4-panel-4.16.3/LICENSE
- var/db/pkg/xfce-base/xfce4-panel-4.16.3/NEEDED
- var/db/pkg/xfce-base/xfce4-panel-4.16.3/PF
- var/db/pkg/xfce-base/xfce4-panel-4.16.3/PROVIDES
- var/db/pkg/xfce-base/xfce4-panel-4.16.3/RDEPEND
- var/db/pkg/xfce-base/xfce4-panel-4.16.3/REQUIRES
- var/db/pkg/xfce-base/xfce4-panel-4.16.3/SIZE
- var/db/pkg/xfce-base/xfce4-panel-4.16.3/SLOT
- var/db/pkg/xfce-base/xfce4-panel-4.16.3/USE
- var/db/pkg/xfce-base/xfce4-panel-4.16.3/environment.bz2
- var/db/pkg/xfce-base/xfce4-panel-4.16.3/repository
- var/db/pkg/xfce-base/xfce4-panel-4.16.3/xfce4-panel-4.16.3.ebuild
package_cacheimage: ""
runtime:
  name: xfce4-panel
  version: 4.16.3
  category: xfce-base
  use_flags:
  - dbusmenu
  - introspection
  - vala
  requires:
  - name: libdbusmenu
    version: '>=0'
    category: dev-libs
  - name: libwnck
    version: '>=0'
    category: x11-libs-3
  - name: exo
    version: '>=0'
    category: xfce-base
  - name: garcon
    version: '>=0'
    category: xfce-base
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Panel for the Xfce desktop environment
  uri:
  - https://www.xfce.org/projects/
  license: GPL-2+ LGPL-2.1+
  labels:
    BDEPEND: dev-util/gdbus-codegen
    DEPEND: '>=dev-libs/glib-2.50 >=x11-libs/cairo-1 >=x11-libs/gtk+-3.22:3[introspection?]
      x11-libs/libX11 x11-libs/libwnck:3 >=xfce-base/exo-0.11.2:= >=xfce-base/garcon-0.5:=
      >=xfce-base/libxfce4ui-4.15.8:= >=xfce-base/libxfce4util-4.15.6:=[introspection?]
      >=xfce-base/xfconf-4.13.2:= dbusmenu? ( >=dev-libs/libdbusmenu-16.04.0[gtk3]
      ) introspection? ( dev-libs/gobject-introspection:= ) vala? ( || ( dev-lang/vala:0.50
      dev-lang/vala:0.48 dev-lang/vala:0.46 dev-lang/vala:0.44 dev-lang/vala:0.42
      dev-lang/vala:0.40 dev-lang/vala:0.36 ) ) dev-lang/perl dev-util/gtk-doc-am
      dev-util/intltool sys-devel/gettext virtual/pkgconfig'
    IUSE: +dbusmenu introspection vala
    RDEPEND: '>=dev-libs/glib-2.50 >=x11-libs/cairo-1 >=x11-libs/gtk+-3.22:3[introspection?]
      x11-libs/libX11 x11-libs/libwnck:3 >=xfce-base/exo-0.11.2:= >=xfce-base/garcon-0.5:=
      >=xfce-base/libxfce4ui-4.15.8:= >=xfce-base/libxfce4util-4.15.6:=[introspection?]
      >=xfce-base/xfconf-4.13.2:= dbusmenu? ( >=dev-libs/libdbusmenu-16.04.0[gtk3]
      ) introspection? ( dev-libs/gobject-introspection:= )'
    emerge.packages: xfce-base/xfce4-panel
    kit: xfce-kit
    original.package.name: xfce-base/xfce4-panel
    original.package.slot: "0"
    original.package.version: 4.16.3
